#!/bin/bash
# Copyright (c) Syslint.com
# License: GPL v3

install(){
if [ ! -f /usr/local/cpanel/version ]; then
    echo "This is not a Cpanel server"
    exit 0
fi
cat << IBANNER
Copyright (C) Syslint.com
License - GPL v3
Cpanel/WHM Show Root password Plugin
IBANNER

if [ ! -d /var/cpanel/apps ]; then
    echo "Creating Cpanel apps  DIR , /var/cpanel/apps"
    mkdir -pv /var/cpanel/apps
fi

echo "Copying plugin files .. "
cp -avrf ./src/smp /usr/local/cpanel/whostmgr/cgi/
chown -R root:root /usr/local/cpanel/whostmgr/cgi/smp
echo "Installing a logo icon "
cp -vf ./src/smp/icon-smp.png  /usr/local/cpanel/whostmgr/docroot/addon_plugins/icon-smp.png
chmod 0644 /usr/local/cpanel/whostmgr/docroot/addon_plugins/icon-smp.png
echo "Installing app config"
/usr/local/cpanel/bin/register_appconfig ./src/show-my-password.conf
cat << FBANER
The installation of WHM plugin "Show My Password" has been completed
To test it follow the procedure

Login to: https://`hostname`:2087/  , with your root password
Go to: WHM -> Plugins -> Show My Password

If you can see the root password that you used to log in that means
Any plugin or script installed on your WHM can access it.
They can send your root password to a remote location without your knowledge.

Cpanel is NOT SUPPOSED TO STORE ROOT PASSWORD as PLAIN TEXT  in Environment Variables !!!!

FBANER
exit 0
}

uninstall(){
echo << UBAN
Remove WHM test plugin "Show My Password "
UBAN
echo "Unregistering plugin "
/usr/local/cpanel/bin/unregister_appconfig show-my-password
echo "Removing icon file"
rm -f /usr/local/cpanel/whostmgr/docroot/addon_plugins/icon-smp.png
echo "Cleaning plugin file"
rm -rf /usr/local/cpanel/whostmgr/cgi/smp
echo "Done"

exit 0
}

usage(){
cat << BANNER
Copyright (C) Syslint.com
License - GPL v3
Cpanel/WHM Show Root password Plugin

This plugin will show the logged-in root password.
BANNER
	echo "Usage: $0  install | remove"
    echo ""
	exit 1
}

[[ $# -eq 0 ]] && usage

if [ "$1" = "install" ]; then
    install
fi

if [ "$1" = "remove" ]; then
    uninstall
fi